<?php

class bZone extends BackModule {

    function update($formvars = array(), $table = null, $langue = true) {
        return parent::update_multi($formvars, $table, $langue);
    }

    function create($formvars = array(), $table = null, $langue = true) {
        return parent::create_multi($formvars, $table, $langue);
    }

    function delete($formvars = array(), $table = null, $langue = true) {
        return parent::delete_multi($formvars, $table, $langue);
    }

    function Form($formvars = array()) {

        if (empty($formvars['id']))
            $this->path[] = "<span> &raquo; <a href='" . $this->link_to('addForm') . "'>Ajout d'une nouvelle Zone</a></span>";
        else {
            $sql = "SELECT zone_id as data FROM zone WHERE zone_id = '" . $formvars['id'] . "'";
            $this->sql->query($sql, SQL_ALL, SQL_ASSOC);
            $data = $this->sql->record[0];
            $this->path[] = "<span> &raquo; <a href='" . $this->link_to('modForm', array('id' => $formvars['id'])) . "'>Edition de la Zone  : <strong>" . $data['data'] . "</strong></a></span>";
        }

        // SQL
        if (!empty($formvars['id'])) {
            $sql = "SELECT z.zone_id, zn.zone_nom_nom, z.zone_rang, z.zone_taxe_id";
            $sql.=" FROM (zone z, zone_nom zn)";
            $sql.=" WHERE z.zone_id='" . $formvars['id'] . "'";
            $sql.=" AND z.zone_id = zn.zone_id";
            $sql.=" AND zn.langue_id='" . LANGUE . "'";

            $this->request = getTableMutli('zone', $formvars['id']);
        }
        //-- SQL
        // Champs du formulaire
        $form = new BackForm("Nom", "text", "zone_nom_nom");
        $form->addAttr('class', 'required');
        $form->setVar('translate', true);
        $this->addForm($form);

        $form = new BackForm("Rang", "text", "zone_rang");
        $form->addAttr('class', 'required');
        $form->addAttr('size', 20);
        $this->addForm($form);

        $form = new BackForm("Application TVA", "select", "zone_taxe_id");
        $form->addAttr('class', 'required');
        $form->setVar('comment', 'D&eacute;finit si la tva sur la commande s\'applique sur cette zone ou pas');
        $form->addOptionSQL(array("SELECT zone_taxe_id , zone_taxe_nom FROM (zone_taxe) ORDER BY zone_taxe_id"));
        $this->addForm($form);


        //-- Champs du formulaire
        if (!isset($formvars['id']))
            $formvars['id'] = 0;
        return $this->displayForm($formvars['id']);
    }

    function Listing($formvars = array()) {

        // SQL
        $sql = "SELECT z.zone_id, z.zone_id, zn.zone_nom_nom";
        $sql.=", COUNT(DISTINCT pays_id)";
        $sql.=", zone_rang";
        $sql.=", zone_taxe_nom";
        $sql.=" FROM (zone z)";
        $sql.=" LEFT JOIN pays p ON (p.zone_id = z.zone_id)";
        $sql.=" LEFT JOIN zone_nom zn ON (z.zone_id = zn.zone_id AND zn.langue_id = '" . LANGUE . "')";
        $sql.=" LEFT JOIN zone_taxe zt ON (z.zone_taxe_id = zt.zone_taxe_id)";
        $sql.=" WHERE 1";

        $this->request = $sql;
        //-- SQL
        // LABELS
        $label = new BackLabel("ID");
        $this->addLabel($label);

        $label = new BackLabel("NOM");
        $this->addLabel($label);

        $label = new BackLabel("NB PAYS", "listselect");
        $label->setVar('option', array("module" => "<a href='../../pays/list/?p*zone_id=%ID%'>%IMG%</a>"));
        $this->addLabel($label);

        $label = new BackLabel("RANG");
        $this->addLabel($label);

        $label = new BackLabel("TVA?");
        $this->addLabel($label);

        $label = new BackLabel("TRADUCTIONS", 'translate');
        $this->addLabel($label);
        //-- LABELS

        return $this->displayList($formvars['type']);
    }

//--
}