{assign var="tabStyle" value="text-align:center;width: 100%;border-collapse: collapse;font-size:10pt;"}
{assign var="tBorder" value="border: .5px solid #000000;"}
{assign var="thStyle" value="border: .5px solid #000000;"}
{assign var="bSides" value="border-left: .6px solid #000000;border-right: .5px solid #000000;"}
{assign var="bTop" value="border-top: .6px solid #000000;"}
{assign var="bBot" value="border-bottom: .6px solid #000000;"}
{assign var="bAll" value="border: .6px solid #000000;"}
{assign var="tLeft" value="text-align:left;"}
{assign var="tRight" value="text-align:right;"}
{assign var="tCenter" value="text-align:center;"}
{assign var="tBold" value="font-weight:bold;"}
{assign var="cPink" value="color:#EF5685;"}
{* header & delivery address *}
<table style="{$tabStyle}">
    <tr>
        <td style="width: 50%;{$tLeft}">
            <img src="" alt="{$SITE_NAME}" height="65px" width="215px"/>
        </td>
        <td style="width: 50%;" rowspan="2">
            <table style="{$tabStyle}{$tLeft}" cellpadding="0" cellspacing="0">
                <tr>
                    <td style="width: 40%;">&nbsp;</td>
                    <td style="width: 60%;{$tLeft}">
                        {txt value="Adresse de livraison"}<br>{$commande.livraison_nom} {$commande.livraison_prenom}<br>{if $commande.livraison_societe}{$commande.livraison_societe}<br/>{/if}{$commande.livraison_rue}<br/>{if $commande.livraison_rue2}{$commande.livraison_rue2}<br/>{/if}{$commande.livraison_cp} {$commande.livraison_ville}<br/>{$commande.livraison_pays}
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td style="width: 43%;{$tCenter}">
            Route de Dijon - BP 88<br/>
            21140 SEMUR EN AUXOIS<br/>
            Tél. 03 80 89 66 66 • Fax 03 80 89 66 55<br/>
            <span style="{$cPink}">www.biscuits.fr • info@biscuits.fr</span><br/>
        </td>
    </tr>
</table>
{* bill number & billing address *}
<table style="{$tabStyle}" cellpadding="0" cellspacing="0" border="0">
    <tr>
        <td style="{$bSides}{$bAll}width:50%;font-size:13pt;text-transform: uppercase;font-weight: bold;">{txt value="BON DE COMMANDE"}</td>
        <td>&nbsp;</td>
    </tr>
    <tr>
        <td style="{$bSides}{$bBot}">
            <table style="{$tabStyle}{$tLeft}" cellpadding="0" cellspacing="0">
                <tr>
                    <td style="width: 40%;">{txt value="N° Commande"}</td>
                    <td style="width: 60%;">{$commande.commande_id}</td>
                </tr>
                <tr>
                    <td>{txt value="Date Commande"}</td>
                    <td>{$commande.commande_date}</td>
                </tr>
                <tr>
                    <td>{txt value="N° Client"}</td>
                    <td>{$commande.client_id}</td>
                </tr>
                <tr>
                    <td>{txt value="Date Inscription client"}</td>
                    <td>{$commande.client_date_inscription}</td>
                </tr>
            </table>
        </td>
        <td>
            <table style="{$tabStyle}{$tLeft}" cellpadding="0" cellspacing="0">
                <tr>
                    <td style="width: 40%;">&nbsp;</td>
                    <td style="width: 60%;{$tLeft}">{txt value="Adresse de facturation"}<br>{$commande.facturation_nom} {$commande.facturation_prenom}<br>{if $commande.facturation_societe}{$commande.facturation_societe}<br/>{/if}{$commande.facturation_rue}<br/>{if $commande.facturation_rue2}{$commande.facturation_rue2}<br/>{/if}{$commande.facturation_cp} {$commande.facturation_ville}<br/>{$commande.facturation_pays}</td>
                </tr>
            </table>
        </td>
    </tr>
</table>
<table style="{$tabStyle}">
    <tr>
        <td>&nbsp;</td>
    </tr>
    <tr>
        <td style="{$tLeft}">&nbsp;</td>
    </tr>
    <tr>
        <td>&nbsp;</td>
    </tr>
</table>
{* products *}
<table style="{$tabStyle}">
    <tr>
        <th style="{$thStyle}width:12%;">{txt value="Référence"}</th>
        <th style="{$thStyle}width:46%;">{txt value="Désignation"}</th>
        <th style="{$thStyle}width:5%;">{txt value="Qté"}</th>
        <th style="{$thStyle}width:10%;">{txt value="PU HT"}</th>
        <th style="{$thStyle}width:10%;">{txt value="PU TTC"}</th>
        <th style="{$thStyle}width:7%;">{txt value="Rem"}</th>
        <th style="{$thStyle}width:10%;">{txt value="Total TTC"}</th>
    </tr>
    {assign var="limitProd" value=count($produit)}
    {*{if $limitProd < 20}*}
        {*{assign var="limitProd" value=19}*}
    {*{/if}*}
    {*{assign var="limitProd" value=19}*}
    {for $row=0 to $limitProd}
        {if !empty($produit[$row])}
            <tr>
                <td style="{$bSides}{$tCenter}">{$produit[$row].produit_ref}</td>
                <td style="{$bSides}{$tLeft}">{$produit[$row].produit_nom}</td>
                <td style="{$bSides}{$tCenter}">{$produit[$row].qte}</td>
                <td style="{$bSides}{$tRight}">{price ht=$produit[$row].prix_ht notag=true nosymbol=true}</td>
                <td style="{$bSides}{$tRight}">{price ht=$produit[$row].prix_ttc notag=true nosymbol=true}</td>
                <td style="{$bSides}{$tRight}">&nbsp;</td>
                <td style="{$bSides}{$tRight}{$tBold}">{price ht=$produit[$row].prix_total_ttc notag=true nosymbol=true}</td>
            </tr>
        {else}
            <tr>
                <td style="{$bSides}">&nbsp;</td>
                <td style="{$bSides}">&nbsp;</td>
                <td style="{$bSides}">&nbsp;</td>
                <td style="{$bSides}">&nbsp;</td>
                <td style="{$bSides}">&nbsp;</td>
                <td style="{$bSides}">&nbsp;</td>
                <td style="{$bSides}">&nbsp;</td>
            </tr>
        {/if}
    {/for}
    <tr>
        <td style="{$bSides}">&nbsp;</td>
        <td style="{$bSides}">&nbsp;</td>
        <td style="{$bSides}">&nbsp;</td>
        <td style="{$bSides}">&nbsp;</td>
        <td style="{$bSides}">&nbsp;</td>
        <td style="{$bSides}">&nbsp;</td>
        <td style="{$bSides}">&nbsp;</td>
    </tr>
    <tr>
        <td style="{$bSides}">&nbsp;</td>
        <td style="{$bSides}{$tLeft}">{$commande.commande_livraison_nom}{if $commande.commande_port_ht == 0}&nbsp;-&nbsp;{txt value="Livraison offerte !"}{/if}</td>
        <td style="{$bSides}">&nbsp;</td>
        <td style="{$bSides}{$tRight}">{if $commande.commande_port_ht > 0}{price ht=$commande.commande_port_ht notag=true nosymbol=true}{/if}</td>
        <td style="{$bSides}{$tRight}">{if $commande.commande_port_ht > 0}{price ht=$commande.commande_port_ttc notag=true nosymbol=true}{/if}</td>
        <td style="{$bSides}">&nbsp;</td>
        <td style="{$bSides}{$tRight}">{if $commande.commande_port_ht > 0}{price ht=$commande.commande_port_ttc notag=true nosymbol=true}{/if}</td>
    </tr>

    <tr>
        <td style="{$bSides}">&nbsp;</td>
        <td style="{$bSides}{$tLeft}">{if !empty($commande.commande_livraison_info)}<br><br>{$commande.commande_livraison_info}{/if}</td>
        <td style="{$bSides}">&nbsp;</td>
        <td style="{$bSides}{$tRight}">&nbsp;</td>
        <td style="{$bSides}{$tRight}">&nbsp;</td>
        <td style="{$bSides}">&nbsp;</td>
        <td style="{$bSides}{$tRight}">&nbsp;</td>
    </tr>


    <tr>
        <td style="{$bSides}border-bottom:.5px solid #000000;">&nbsp;</td>
        <td style="{$bSides}border-bottom:.5px solid #000000;">&nbsp;</td>
        <td style="{$bSides}border-bottom:.5px solid #000000;">&nbsp;</td>
        <td style="{$bSides}border-bottom:.5px solid #000000;">&nbsp;</td>
        <td style="{$bSides}border-bottom:.5px solid #000000;">&nbsp;</td>
        <td style="{$bSides}border-bottom:.5px solid #000000;">&nbsp;</td>
        <td style="{$bSides}border-bottom:.5px solid #000000;">&nbsp;</td>
    </tr>
</table>
<br>
<br>
<table style="{$tabStyle}">
    {assign var="limitTva" value=count($taxe)}
    {if $limitTva < 3}
        {assign var="limitTva" value=2}
    {/if}
    {for $row=0 to $limitTva}
        <tr>
            <td style="">&nbsp;</td>
            <td style="">&nbsp;</td>
            <td style="">&nbsp;</td>
            <td style="">&nbsp;</td>
            <td style="">&nbsp;</td>
            <td style="">&nbsp;</td>
            {if $row == 0}
                <td style="{$bAll}{$tRight}">{txt value="Total HT"}</td>
                <td style="{$bAll}{$tRight}">{price ht=$commande.total_ht notag=true nosymbol=true}</td>
            {elseif $row == 1}
                <td style="{$bAll}{$tRight}">{txt value="TVA"}</td>
                <td style="{$bAll}{$tRight}">{price ht=$commande.commande_total_taxe notag=true nosymbol=true}</td>
            {elseif $row == 2}
                <td style="{$bAll}{$tRight}">{txt value="Total TTC"}</td>
                <td style="{$bAll}{$tRight}{$tBold}">{price ht=$commande.total_ttc notag=true nosymbol=true}</td>
            {else}
                <td style="{$bSides}">&nbsp;</td>
                <td style="{$bSides}">&nbsp;</td>
            {/if}
        </tr>
    {/for}
    <tr>
        <td style="">&nbsp;</td>
        <td style="">&nbsp;</td>
        <td style="">&nbsp;</td>
        <td style="">&nbsp;</td>
        <td style="">&nbsp;</td>
        <td style="">&nbsp;</td>
        <td style="{$bTop}">&nbsp;</td>
        <td style="{$bTop}">&nbsp;</td>
    </tr>
</table>
<table style="{$tabStyle}{$tLeft}">
    <tr>
        <td style="width:20%;">{txt value="Nb Articles"} {$total}</td>
        <td style="width:8%;">&nbsp;</td>
        <td style="width:20%;">{txt value="Poids"} {$commande.commande_poids/1000} kg</td>
    </tr>
</table>


